Method: projects.locations.validations.delete

Deletes a record of a dry run.

HTTP request

DELETE https://faulttesting.googleapis.com/v1alpha/{name=projects/*/locations/*/validations/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the dry run to delete. Format: projects/{projectId}/locations/{location}/validations/{validationId}.

Query parameters

Parameters
force

boolean

Optional. Should always be set to true. If set to true, any ValidationResources under this Validation will also be deleted. Otherwise, the request will only work if the Validation has no ValidationResources.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • faulttesting.validations.delete

For more information, see the IAM documentation.